Adds teams to the specified document.

POSThttps://api.awork.com/api/v1/documents/{documentId}/teams
POST https://api.awork.com/api/v1/documents/{documentId}/teams

Adds teams and changes their access to the document. Access for related entities is recalculated asynchronously.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

documentIdstringRequired
format: uuid

The id of the document.

Request body Required

The model used to add document teams to the document.

application/json

accessLevelstringRequired

Allowed: "read" "manage"

minLength: 1

Determines the level of access granted to this contributor or team with respect to the referenced entity. Can be either set to read or manage where read allows viewing the entity and manage allows full control over it (read, write and permission changes).

teamIdstringRequired
format: uuid

The id of the team to be added.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity to team.

teamIdstringOptional
format: uuid

The id of the team this entity to team references.

accessLevelstring or nullOptional

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation